-- True One City Challenge --
-- Author: Das_Capitolin --
----------------------------------------------------------------------------------------------------

-- Manipulate AI drive to found city.
UPDATE AiFavoredItems SET Value = '1' WHERE ListType = 'BaseOperationsLimits' AND Item = 'OP_SETTLE';
UPDATE AiOperationDefs SET Priority = '1' WHERE OperationName = 'Settle New City' AND TargetType = 'TARGET_SETTLE_LOCATION' AND OperationType = 'OP_SETTLE' AND BehaviorTree='Settle City Op';

-- Make production and purchase of new Settler unobtainable.
UPDATE Units SET Cost = 100000, PrereqPopulation = 1001, PopulationCost = 1000 WHERE UnitType = 'UNIT_SETTLER';
UPDATE Units SET BaseSightRange = 5 WHERE UnitType = 'UNIT_SETTLER';
UPDATE UnitCaptures SET BecomesUnitType = 'UNIT_BUILDER' WHERE CapturedUnitType = 'UNIT_SETTLER';
UPDATE MajorStartingUnits SET MinDifficulty = 'DIFFICULTY_DEITY' WHERE Unit = 'UNIT_SETTLER' AND MinDifficulty IS NOT NULL;

-- Reduce free Settler award from Religious Settlements Pantheon to zero.
-- Expansion2_Beliefs.xml
UPDATE ModifierArguments SET Value = '0' WHERE ModifierId = 'RELIGIOUS_SETTLEMENTS_SETTLER_MODIFIER' AND Name = 'Amount';
-- Redundant reduction, in case game code changes... again.
UPDATE ModifierArguments SET Value = '' WHERE ModifierId = 'RELIGIOUS_SETTLEMENTS_SETTLER_MODIFIER' AND Name = 'UnitType';
-- Increase border expansion rate to 20% faster.
-- Beliefs.xml
UPDATE ModifierArguments SET Value = '20' WHERE ModifierId = 'RELIGIOUS_SETTLEMENTS_CULTUREBORDER';